{"swagger":"2.0","info":{"version":"v1","title":"HR & Salaris Gemak API","description":"HR & Salaris Gemak API Documentation"},"host":"api.hrsg.nl","schemes":["https"],"paths":{"/api/v1/employers/{employerId}/payroll-years/{payrollYear}/employee-annual-statements":{"get":{"tags":["Documents ⭢ Employee"],"summary":"Gets the employee annual statement document ids for the given employer and payroll year and optionally employee.","operationId":"EmployeeYearlyDocuments_GetYearlyDeclarationPerEmployee","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"payrollYear","in":"path","required":true,"type":"integer","format":"int32"},{"name":"employeeId","in":"query","required":false,"type":"string"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmployeeYearlyDocument]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}}},"/api/v1/employers/{employerId}/payroll-years/{payrollYear}/employee-payslips":{"get":{"tags":["Documents ⭢ Employee"],"summary":"Gets the employee payslip document ids for the given employer and payroll year and optionally payroll frequency, payroll period and employee.","operationId":"EmployeePeriodicalDocuments_GetEmployeePayslips","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"payrollYear","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payrollFrequency","in":"query","required":false,"type":"string","enum":["Quarterly","Monthly","FourWeekly","Weekly","Daily"]},{"name":"payrollPeriod","in":"query","required":false,"type":"integer","format":"int32"},{"name":"employeeId","in":"query","required":false,"type":"string"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmployeePeriodicalDocument]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/document/{documentId}":{"get":{"tags":["Documents ⭢ Employee"],"summary":"Gets the pdf document for a given employer and employee, based on the document id.","operationId":"EmployeeDocumentFiles_GetDocument","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"documentId","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"format":"byte","type":"string"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/children":{"get":{"tags":["Employee ⭢ Children"],"summary":"Gets the children of an employee.","operationId":"EmployeeChildren_GetResources","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmployeeChild]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"post":{"tags":["Employee ⭢ Children"],"summary":"Creates a child for an employee, based on a sent object.","operationId":"EmployeeChildren_CreateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employeeChild","in":"body","required":true,"schema":{"$ref":"#/definitions/EmployeeChild"}}],"responses":{"201":{"description":"Created","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmployeeChild"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmployeeChild"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/children/{childId}":{"get":{"tags":["Employee ⭢ Children"],"summary":"Gets a specific child of an employee, based on its child ID.","operationId":"EmployeeChildren_GetResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"childId","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EmployeeChild"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"put":{"tags":["Employee ⭢ Children"],"summary":"Completely updates a child of an employee, based on a sent object and its child ID.","operationId":"EmployeeChildren_UpdateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"childId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"employeeChild","in":"body","required":true,"schema":{"$ref":"#/definitions/EmployeeChild"}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmployeeChild"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmployeeChild"}}}},"delete":{"tags":["Employee ⭢ Children"],"summary":"Deletes a child of an employee based on its child ID.","operationId":"EmployeeChildren_DeleteResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"childId","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"patch":{"tags":["Employee ⭢ Children"],"summary":"Partially updates a child of an employee, based on a sent patch document and its child ID.","operationId":"EmployeeChildren_PartiallyUpdateResource","consumes":["application/json-patch+json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"childId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"employeeChildPatchDocument","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PatchOperation"}}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmployeeChild"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmployeeChild"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/contact-addresses":{"get":{"tags":["Employee ⭢ Contact Addresses"],"summary":"Gets the warning addresses of an employee.","operationId":"EmployeeContactAddresses_GetResources","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmployeeContactAddress]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"post":{"tags":["Employee ⭢ Contact Addresses"],"summary":"Creates a warning address for an employee, based on a sent object.","operationId":"EmployeeContactAddresses_CreateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"contactAddress","in":"body","required":true,"schema":{"$ref":"#/definitions/EmployeeContactAddress"}}],"responses":{"201":{"description":"Created","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmployeeContactAddress"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmployeeContactAddress"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/contact-addresses/{contactAddressId}":{"get":{"tags":["Employee ⭢ Contact Addresses"],"summary":"Gets a specific warning address of an employee, based on its warning address ID.","operationId":"EmployeeContactAddresses_GetResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"contactAddressId","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EmployeeContactAddress"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"put":{"tags":["Employee ⭢ Contact Addresses"],"summary":"Completely updates a warning address of an employee, based on a sent object and its warning address ID.","operationId":"EmployeeContactAddresses_UpdateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"contactAddressId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"contactAddress","in":"body","required":true,"schema":{"$ref":"#/definitions/EmployeeContactAddress"}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmployeeContactAddress"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmployeeContactAddress"}}}},"delete":{"tags":["Employee ⭢ Contact Addresses"],"summary":"Deletes a warning address of an employee, based on its warning address ID.","operationId":"EmployeeContactAddresses_DeleteResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"contactAddressId","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"patch":{"tags":["Employee ⭢ Contact Addresses"],"summary":"Partially updates a warning address of an employee, based on a sent patch document and its warning address ID.","operationId":"EmployeeContactAddresses_PartiallyUpdateResource","consumes":["application/json-patch+json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"contactAddressId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"contactAddressPatchDocument","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PatchOperation"}}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmployeeContactAddress"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmployeeContactAddress"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/costs-passing/{departmentId}/information":{"get":{"tags":["Employee ⭢ Employee Costs Passing"],"summary":"Gets the information of an cost passing of an employment, based on its cost passing ID.","operationId":"EmployeeCostPassingInformation_GetResources","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"departmentId","in":"path","required":true,"type":"string"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmployeeCostPassingInformation]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"post":{"tags":["Employee ⭢ Employee Costs Passing"],"summary":"Completely updates information of a cost passing of an employment for a specified period, based on a sent object.","operationId":"EmployeeCostPassingInformation_CreateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"departmentId","in":"path","required":true,"type":"string"},{"name":"coastPassingInformation","in":"body","required":true,"schema":{"$ref":"#/definitions/EmployeeCostPassingInformation"}}],"responses":{"201":{"description":"Created","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmployeeCostPassingInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmployeeCostPassingInformation"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/costs-passing/{departmentId}/information/{date}":{"get":{"tags":["Employee ⭢ Employee Costs Passing"],"summary":"Gets the actual information of a cost passing of an employment, based on a date.","operationId":"EmployeeCostPassingInformation_GetResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"departmentId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EmployeeCostPassingInformation"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"put":{"tags":["Employee ⭢ Employee Costs Passing"],"summary":"Completely updates actual information of a cost passing of an employment, based on a sent object and a date.","operationId":"EmployeeCostPassingInformation_UpdateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"departmentId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"},{"name":"coastPassingInformation","in":"body","required":true,"schema":{"$ref":"#/definitions/EmployeeCostPassingInformation"}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmployeeCostPassingInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmployeeCostPassingInformation"}}}},"delete":{"tags":["Employee ⭢ Employee Costs Passing"],"summary":"Deletes actual and restores previous information of a cost passing of an employment, based on a date.","operationId":"EmployeeCostPassingInformation_DeleteResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"departmentId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"patch":{"tags":["Employee ⭢ Employee Costs Passing"],"summary":"Partially updates actual information of a cost passing of an employment, based on a sent patch document and a date.","operationId":"EmployeeCostPassingInformation_PartiallyUpdateResource","consumes":["application/json-patch+json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"departmentId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"},{"name":"coastPassingInformationPatchDocument","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PatchOperation"}}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmployeeCostPassingInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmployeeCostPassingInformation"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/costs-passing":{"get":{"tags":["Employee ⭢ Employee Costs Passing"],"summary":"Gets the costs passing of an employment.","operationId":"EmployeeCostPassings_GetResources","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmployeeCostPassing]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"post":{"tags":["Employee ⭢ Employee Costs Passing"],"summary":"Creates a cost passing for an employment, based on a sent object.","operationId":"EmployeeCostPassings_CreateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"coastPassing","in":"body","required":true,"schema":{"$ref":"#/definitions/EmployeeCostPassing"}}],"responses":{"201":{"description":"Created","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmployeeCostPassing"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmployeeCostPassing"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/costs-passing/{departmentId}":{"get":{"tags":["Employee ⭢ Employee Costs Passing"],"summary":"Gets a specific cost passing of an employment, based on its cost passing ID.","operationId":"EmployeeCostPassings_GetResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"departmentId","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EmployeeCostPassing"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"put":{"tags":["Employee ⭢ Employee Costs Passing"],"summary":"Completely updates a cost passing of an employment, based on a sent object and its cost passing ID.","operationId":"EmployeeCostPassings_UpdateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"departmentId","in":"path","required":true,"type":"string"},{"name":"coastPassing","in":"body","required":true,"schema":{"$ref":"#/definitions/EmployeeCostPassing"}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmployeeCostPassing"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmployeeCostPassing"}}}},"delete":{"tags":["Employee ⭢ Employee Costs Passing"],"summary":"Deletes a cost passing of an employment, based on its cost passing ID.","operationId":"EmployeeCostPassings_DeleteResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"departmentId","in":"path","required":true,"type":"string"}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"patch":{"tags":["Employee ⭢ Employee Costs Passing"],"summary":"Partially updates an cost passing of an employment, based on a sent patch document and its cost passing ID.","operationId":"EmployeeCostPassings_PartiallyUpdateResource","consumes":["application/json-patch+json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"departmentId","in":"path","required":true,"type":"string"},{"name":"coastPassingPatchDocument","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PatchOperation"}}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmployeeCostPassing"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmployeeCostPassing"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/annual-information":{"get":{"tags":["Employee ⭢ Employment Annual Information"],"summary":"Gets the entire history of annual information of an employment.","operationId":"EmploymentAnnualInformation_GetResources","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmploymentAnnualInformation]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"post":{"tags":["Employee ⭢ Employment Annual Information"],"summary":"Creates annual information for an employment, based on a sent object.","operationId":"EmploymentAnnualInformation_CreateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"employment","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentAnnualInformation"}}],"responses":{"201":{"description":"Created","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentAnnualInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentAnnualInformation"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/annual-information/{payrollYear}":{"get":{"tags":["Employee ⭢ Employment Annual Information"],"summary":"Gets annual information of an employment for the specified payroll year.","operationId":"EmploymentAnnualInformation_GetResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payrollYear","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EmploymentAnnualInformation"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"put":{"tags":["Employee ⭢ Employment Annual Information"],"summary":"Completely updates annual information of an employment for the specified payrollyear, based on a sent object.","operationId":"EmploymentAnnualInformation_UpdateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payrollYear","in":"path","required":true,"type":"integer","format":"int32"},{"name":"employmentAnnualInformation","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentAnnualInformation"}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentAnnualInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentAnnualInformation"}}}},"delete":{"tags":["Employee ⭢ Employment Annual Information"],"summary":"Deletes annual information of an employment for the specified payroll year.","operationId":"EmploymentAnnualInformation_DeleteResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payrollYear","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"patch":{"tags":["Employee ⭢ Employment Annual Information"],"summary":"Partially updates annual information of an employment for the specified payroll year, based on a sent patch document.","operationId":"EmploymentAnnualInformation_PartiallyUpdateResource","consumes":["application/json-patch+json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payrollYear","in":"path","required":true,"type":"integer","format":"int32"},{"name":"employmentAnnualInformationPatchDocument","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PatchOperation"}}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentAnnualInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentAnnualInformation"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/arrangements":{"get":{"tags":["Employee ⭢ Employment Arrangements"],"summary":"Gets the arrangements of an employment.","operationId":"EmploymentArrangements_GetResources","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmploymentArrangement]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"post":{"tags":["Employee ⭢ Employment Arrangements"],"summary":"Creates an arrangement for an employment, based on a sent object.","operationId":"EmploymentArrangements_CreateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"arrangement","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentArrangement"}}],"responses":{"201":{"description":"Created","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentArrangement"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentArrangement"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/arrangements/{arrangementId}":{"get":{"tags":["Employee ⭢ Employment Arrangements"],"summary":"Gets a specific arrangement of an employment, based on its arrangement ID.","operationId":"EmploymentArrangements_GetResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"arrangementId","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EmploymentArrangement"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"put":{"tags":["Employee ⭢ Employment Arrangements"],"summary":"Completely updates an arrangement of an employment, based on a sent object and its arrangement ID.","operationId":"EmploymentArrangements_UpdateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"arrangementId","in":"path","required":true,"type":"string"},{"name":"arrangement","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentArrangement"}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentArrangement"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentArrangement"}}}},"delete":{"tags":["Employee ⭢ Employment Arrangements"],"summary":"Deletes an arrangement of an employment, based on its arrangement ID.","operationId":"EmploymentArrangements_DeleteResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"arrangementId","in":"path","required":true,"type":"string"}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"patch":{"tags":["Employee ⭢ Employment Arrangements"],"summary":"Partially updates an arrangement of an employment, based on a sent patch document and its arrangement ID.","operationId":"EmploymentArrangements_PartiallyUpdateResource","consumes":["application/json-patch+json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"arrangementId","in":"path","required":true,"type":"string"},{"name":"arrangementPatchDocument","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PatchOperation"}}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentArrangement"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentArrangement"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/arrangements/{arrangementId}/information":{"get":{"tags":["Employee ⭢ Employment Arrangements"],"summary":"Gets the information and history of an arrangement of an employment, based on its arrangement ID.","operationId":"EmploymentArrangementInformation_GetResources","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"arrangementId","in":"path","required":true,"type":"string"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmploymentArrangementInformation]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"post":{"tags":["Employee ⭢ Employment Arrangements"],"summary":"Completely updates information of an arrangement of an employment for a specified period, based on a sent object.","operationId":"EmploymentArrangementInformation_CreateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"arrangementId","in":"path","required":true,"type":"string"},{"name":"arrangementInformation","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentArrangementInformation"}}],"responses":{"201":{"description":"Created","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentArrangementInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentArrangementInformation"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/arrangements/{arrangementId}/information/{date}":{"get":{"tags":["Employee ⭢ Employment Arrangements"],"summary":"Gets the actual information of an arrangement of an employment, based on a date.","operationId":"EmploymentArrangementInformation_GetResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"arrangementId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EmploymentArrangementInformation"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"put":{"tags":["Employee ⭢ Employment Arrangements"],"summary":"Completely updates actual information of an arrangement of an employment, based on a sent object and a date.","operationId":"EmploymentArrangementInformation_UpdateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"arrangementId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"},{"name":"arrangementInformation","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentArrangementInformation"}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentArrangementInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentArrangementInformation"}}}},"delete":{"tags":["Employee ⭢ Employment Arrangements"],"summary":"Deletes actual and restores previous information of an arrangement of an employment, based on a date.","operationId":"EmploymentArrangementInformation_DeleteResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"arrangementId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"patch":{"tags":["Employee ⭢ Employment Arrangements"],"summary":"Partially updates actual information of an arrangement of an employment, based on a sent patch document and a date.","operationId":"EmploymentArrangementInformation_PartiallyUpdateResource","consumes":["application/json-patch+json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"arrangementId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"},{"name":"arrangementInformationPatchDocument","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PatchOperation"}}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentArrangementInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentArrangementInformation"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/information":{"get":{"tags":["Employee ⭢ Employment Information"],"summary":"Gets the information and history of an employment, based on its employment ID.","operationId":"EmploymentInformation_GetResources","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmploymentInformation]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"post":{"tags":["Employee ⭢ Employment Information"],"summary":"Completely updates information of an employment for a specified period, based on a sent object.","operationId":"EmploymentInformation_CreateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"employmentInformation","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentInformation"}}],"responses":{"201":{"description":"Created","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentInformation"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/information/{date}":{"get":{"tags":["Employee ⭢ Employment Information"],"summary":"Gets the actual information of an employment, based on a date.","operationId":"EmploymentInformation_GetResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EmploymentInformation"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"put":{"tags":["Employee ⭢ Employment Information"],"summary":"Completely updates actual information of an employment, based on a sent object and a date.","operationId":"EmploymentInformation_UpdateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"},{"name":"employmentInformation","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentInformation"}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentInformation"}}}},"delete":{"tags":["Employee ⭢ Employment Information"],"summary":"Deletes actual and restores previous information of an employment, based on a date.","operationId":"EmploymentInformation_DeleteResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"patch":{"tags":["Employee ⭢ Employment Information"],"summary":"Partially updates actual information of an employment, based on a sent patch document and a date.","operationId":"EmploymentInformation_PartiallyUpdateResource","consumes":["application/json-patch+json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"},{"name":"employmentInformationPatchDocument","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PatchOperation"}}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentInformation"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/pay-components/{payComponentId}/information":{"get":{"tags":["Employee ⭢ Employment Pay Components"],"summary":"Gets the information and history of a pay component of an employment, based on its pay component ID.","operationId":"EmploymentPayComponentInformation_GetResources","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payComponentId","in":"path","required":true,"type":"string"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmploymentPayComponentInformation]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"post":{"tags":["Employee ⭢ Employment Pay Components"],"summary":"Completely updates information of a pay component of an employment for a specified period, based on a sent object.","operationId":"EmploymentPayComponentInformation_CreateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payComponentId","in":"path","required":true,"type":"string"},{"name":"payComponentInformation","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentPayComponentInformation"}}],"responses":{"201":{"description":"Created","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentPayComponentInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentPayComponentInformation"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/pay-components/{payComponentId}/information/{date}":{"get":{"tags":["Employee ⭢ Employment Pay Components"],"summary":"Gets the actual information of a pay component of an employment, based on a date.","operationId":"EmploymentPayComponentInformation_GetResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payComponentId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EmploymentPayComponentInformation"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"put":{"tags":["Employee ⭢ Employment Pay Components"],"summary":"Completely updates actual information of a pay component of an employment, based on a sent object and a date.","operationId":"EmploymentPayComponentInformation_UpdateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payComponentId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"},{"name":"payComponentInformation","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentPayComponentInformation"}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentPayComponentInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentPayComponentInformation"}}}},"delete":{"tags":["Employee ⭢ Employment Pay Components"],"summary":"Deletes actual and restores previous information of a pay component of an employment, based on a date.","operationId":"EmploymentPayComponentInformation_DeleteResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payComponentId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"patch":{"tags":["Employee ⭢ Employment Pay Components"],"summary":"Partially updates actual information of a pay component of an employment, based on a sent patch document and a date.","operationId":"EmploymentPayComponentInformation_PartiallyUpdateResource","consumes":["application/json-patch+json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payComponentId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"},{"name":"payComponentPatchDocument","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PatchOperation"}}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentPayComponentInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentPayComponentInformation"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/pay-components":{"get":{"tags":["Employee ⭢ Employment Pay Components"],"summary":"Gets the pay components of an employment.","operationId":"EmploymentPayComponents_GetResources","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmploymentPayComponent]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"post":{"tags":["Employee ⭢ Employment Pay Components"],"summary":"Creates a pay component for an employment, based on a sent object.","operationId":"EmploymentPayComponents_CreateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payComponent","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentPayComponent"}}],"responses":{"201":{"description":"Created","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentPayComponent"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentPayComponent"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/pay-components/{payComponentId}":{"get":{"tags":["Employee ⭢ Employment Pay Components"],"summary":"Gets a specific pay component of an employment, based on its pay component ID.","operationId":"EmploymentPayComponents_GetResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payComponentId","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EmploymentPayComponent"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"put":{"tags":["Employee ⭢ Employment Pay Components"],"summary":"Completely updates a pay component of an employment, based on a sent object and its pay component ID.","operationId":"EmploymentPayComponents_UpdateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payComponentId","in":"path","required":true,"type":"string"},{"name":"payComponent","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentPayComponent"}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentPayComponent"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentPayComponent"}}}},"delete":{"tags":["Employee ⭢ Employment Pay Components"],"summary":"Deletes a pay component of an employment, based on its pay component ID.","operationId":"EmploymentPayComponents_DeleteResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payComponentId","in":"path","required":true,"type":"string"}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"patch":{"tags":["Employee ⭢ Employment Pay Components"],"summary":"Partially updates a pay component of an employment, based on a sent patch document and its pay component ID.","operationId":"EmploymentPayComponents_PartiallyUpdateResource","consumes":["application/json-patch+json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"payComponentId","in":"path","required":true,"type":"string"},{"name":"payComponentPatchDocument","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PatchOperation"}}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentPayComponent"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentPayComponent"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/rubrics/{rubricId}/{index}/information":{"get":{"tags":["Employee ⭢ Employment Rubrics"],"summary":"Gets the information and history of a rubric of an employment, based on its rubric ID and an index.","operationId":"EmploymentRubricInformation_GetResources","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"rubricId","in":"path","required":true,"type":"string"},{"name":"index","in":"path","required":true,"type":"integer","format":"int32"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmploymentRubricInformation]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"post":{"tags":["Employee ⭢ Employment Rubrics"],"summary":"Completely updates information of a rubric of an employment for a specified period, based on a sent object and an index.","operationId":"EmploymentRubricInformation_CreateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"rubricId","in":"path","required":true,"type":"string"},{"name":"index","in":"path","required":true,"type":"integer","format":"int32"},{"name":"employmentInformation","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentRubricInformation"}}],"responses":{"201":{"description":"Created","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentRubricInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentRubricInformation"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/rubrics/{rubricId}/{index}/information/{date}":{"get":{"tags":["Employee ⭢ Employment Rubrics"],"summary":"Gets the actual information of a rubric of an employment, based on an index and a date.","operationId":"EmploymentRubricInformation_GetResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"rubricId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"},{"name":"index","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EmploymentRubricInformation"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"put":{"tags":["Employee ⭢ Employment Rubrics"],"summary":"Completely updates actual information of a rubric of an employment, based on a sent object, an index and a date.","operationId":"EmploymentRubricInformation_UpdateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"rubricId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"},{"name":"index","in":"path","required":true,"type":"integer","format":"int32"},{"name":"employmentInformation","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentRubricInformation"}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentRubricInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentRubricInformation"}}}},"delete":{"tags":["Employee ⭢ Employment Rubrics"],"summary":"Deletes actual and restores previous information of a rubric of an employment, based on an index and a date.","operationId":"EmploymentRubricInformation_DeleteResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"rubricId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"},{"name":"index","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"patch":{"tags":["Employee ⭢ Employment Rubrics"],"summary":"Partially updates actual information of a rubric of an employment, based on a sent patch document, an index and a date.","operationId":"EmploymentRubricInformation_PartiallyUpdateResource","consumes":["application/json-patch+json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"rubricId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"},{"name":"index","in":"path","required":true,"type":"integer","format":"int32"},{"name":"employmentInformationPatchDocument","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PatchOperation"}}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentRubricInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentRubricInformation"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/rubrics":{"get":{"tags":["Employee ⭢ Employment Rubrics"],"summary":"Gets the rubrics of an employment.","operationId":"EmploymentRubrics_GetResources","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmploymentRubric]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"post":{"tags":["Employee ⭢ Employment Rubrics"],"summary":"Creates a rubric for an employment, based on a sent object.","operationId":"EmploymentRubrics_CreateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"employmentValue","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentRubric"}}],"responses":{"201":{"description":"Created","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentRubric"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentRubric"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/rubrics/{rubricId}/{index}":{"get":{"tags":["Employee ⭢ Employment Rubrics"],"summary":"Gets a specific rubric of an employment, based on its rubric ID and an index.","operationId":"EmploymentRubrics_GetResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"rubricId","in":"path","required":true,"type":"string"},{"name":"index","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EmploymentRubric"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"put":{"tags":["Employee ⭢ Employment Rubrics"],"summary":"Completely updates a rubric of an employment, based on a sent object, its rubric ID and an index.","operationId":"EmploymentRubrics_UpdateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"rubricId","in":"path","required":true,"type":"string"},{"name":"index","in":"path","required":true,"type":"integer","format":"int32"},{"name":"employmentValue","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentRubric"}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentRubric"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentRubric"}}}},"delete":{"tags":["Employee ⭢ Employment Rubrics"],"summary":"Deletes a rubric of an employment, based on its rubric ID and an index.","operationId":"EmploymentRubrics_DeleteResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"rubricId","in":"path","required":true,"type":"string"},{"name":"index","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"patch":{"tags":["Employee ⭢ Employment Rubrics"],"summary":"Partially updates a rubric of an employment, based on a sent patch document, its rubric ID and an index.","operationId":"EmploymentRubrics_PartiallyUpdateResource","consumes":["application/json-patch+json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"rubricId","in":"path","required":true,"type":"string"},{"name":"index","in":"path","required":true,"type":"integer","format":"int32"},{"name":"employmentValuePatchDocument","in":"body","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/PatchOperation"}}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentRubric"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentRubric"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/values/{valueId}/information":{"get":{"tags":["Employee ⭢ Employment Values"],"summary":"Gets the information and history of a value of an employment, based on its value ID.","operationId":"EmploymentValueInformation_GetResources","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"valueId","in":"path","required":true,"type":"string"},{"name":"offset","in":"query","required":false,"type":"integer","format":"int32"},{"name":"limit","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page[EmploymentValueInformation]"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"post":{"tags":["Employee ⭢ Employment Values"],"summary":"Completely updates information of a value of an employment for a specified period, based on a sent object.","operationId":"EmploymentValueInformation_CreateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"valueId","in":"path","required":true,"type":"string"},{"name":"employmentInformation","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentValueInformation"}}],"responses":{"201":{"description":"Created","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}},"409":{"description":"Conflict","schema":{"$ref":"#/definitions/NotificationInfo"}},"422":{"description":"Unprocessable Entity","schema":{"$ref":"#/definitions/EmploymentValueInformation"}},"428":{"description":"428","schema":{"$ref":"#/definitions/EmploymentValueInformation"}}}}},"/api/v1/employers/{employerId}/employees/{employeeId}/employments/{employmentId}/values/{valueId}/information/{date}":{"get":{"tags":["Employee ⭢ Employment Values"],"summary":"Gets the actual information of a value of an employment, based on a date.","operationId":"EmploymentValueInformation_GetResource","consumes":[],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"valueId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EmploymentValueInformation"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","schema":{"$ref":"#/definitions/NotificationInfo"}}}},"put":{"tags":["Employee ⭢ Employment Values"],"summary":"Completely updates actual information of a value of an employment, based on a sent object and a date.","operationId":"EmploymentValueInformation_UpdateResource","consumes":["application/json","text/json"],"produces":["application/json","text/json"],"parameters":[{"name":"employerId","in":"path","required":true,"type":"string"},{"name":"employeeId","in":"path","required":true,"type":"string"},{"name":"employmentId","in":"path","required":true,"type":"integer","format":"int32"},{"name":"valueId","in":"path","required":true,"type":"string"},{"name":"date","in":"path","required":true,"type":"string","format":"date-time"},{"name":"employmentInformation","in":"body","required":true,"schema":{"$ref":"#/definitions/EmploymentValueInformation"}}],"responses":{"204":{"description":"NoContent","schema":{"description":"Defines a command that asynchronously creates an {System.Net.Http.HttpResponseMessage}.","type":"object"}},"400":{"description":"BadRequest","schema":{"$ref":"#/definitions/NotificationInfo"}},"403":{"description":"Forbidden","schema":{"$ref":"#/definitions/NotificationInfo"}},"404":{"description":"NotFound","
[...]
